###################################################
### chunk number 1: Init
###################################################
#line 55 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
options(width=75)
set.seed(0)
library(rococo)
rococoVersion <- packageDescription("rococo")$Version
rococoDateRaw <- packageDescription("rococo")$Date
rococoDateYear <- as.numeric(substr(rococoDateRaw, 1, 4))
rococoDateMonth <- as.numeric(substr(rococoDateRaw, 6, 7))
rococoDateDay <- as.numeric(substr(rococoDateRaw, 9, 10))
rococoDate <- paste(month.name[rococoDateMonth], " ",
                     rococoDateDay, ", ",
                     rococoDateYear, sep="")


###################################################
### chunk number 2: InstallRoCoCo eval=FALSE
###################################################
## #line 155 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
## install.packages("rococo")


###################################################
### chunk number 3: LoadRoCoCo eval=FALSE
###################################################
## #line 206 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
## library(rococo)


###################################################
### chunk number 4: OpenVignette eval=FALSE
###################################################
## #line 218 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
## vignette("rococo")


###################################################
### chunk number 5: ShowHelp eval=FALSE
###################################################
## #line 223 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
## help(rococo)


###################################################
### chunk number 6: ToyData
###################################################
#line 229 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
x1 <- rnorm(15)
y1 <- 2 * x1 + rnorm(length(x1), sd=0.25)
plot(x1, y1)


###################################################
### chunk number 7: SimpleRococo
###################################################
#line 240 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
rococo(x1, y1)


###################################################
### chunk number 8: SimpleRococoTest
###################################################
#line 245 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
rococo.test(x1, y1, alternative="two.sided")


###################################################
### chunk number 9: RoCoCoTestFormula
###################################################
#line 255 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
data(iris)
plot(~ Sepal.Length + Petal.Length, iris)
rococo.test(~ Sepal.Length + Petal.Length, iris, alternative="two.sided")


###################################################
### chunk number 10: FlatNoisyData
###################################################
#line 386 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
x2 <- rnorm(15)
f2 <- function(x)
{
    if (x > 0.8) x - 0.8
    else if (x < -0.8) x + 0.8
    else 0
}
y2 <- sapply(x2, f2) + rnorm(length(x2), sd=0.1)
plot(x2, y2)


###################################################
### chunk number 11: FlatNoisyDefault
###################################################
#line 399 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
rococo.test(x2, y2, alternative="greater")


###################################################
### chunk number 12: FlatNoisyOther
###################################################
#line 405 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
rococo.test(x2, y2, similarity="gauss", alternative="greater")
rococo.test(x2, y2, similarity=c("classical", "gauss"), alternative="greater")


###################################################
### chunk number 13: FlatNoisySameR
###################################################
#line 428 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
rococo.test(x2, y2, similarity="gauss", r=0.1, alternative="greater")


###################################################
### chunk number 14: FlatNoisyDifferentR
###################################################
#line 434 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
rococo.test(x2, y2, similarity=c("linear", "gauss"), r=c(0.05, 0.1),
            alternative="greater")


###################################################
### chunk number 15: CheckIQR
###################################################
#line 444 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
rococo.test(x2, y2, similarity=c("linear", "gauss"), r=0, alternative="greater")
IQR(x2) * 0.1
IQR(y2) * 0.1


###################################################
### chunk number 16: CheckIQR
###################################################
#line 465 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
rococo.test(x2, y2, similarity=c("linear", "gauss"), tnorm="prod",
            alternative="greater")


###################################################
### chunk number 17: YagertNorm
###################################################
#line 504 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
DrastictNorm <- function(x, y)
{
    if (x == 1) y
    else if (y == 1) x
    else 0
}
YagertNorm <- function(lambda)
{
    fun <- function(x, y)
    {
        if (lambda == 0)
            DrastictNorm(x, y)
        else if (is.infinite(lambda))
            min(x, y)
        else
            max(0, 1 - ((1 - x)^lambda + (1 - y)^lambda)^(1 / lambda))
    }

    attr(fun, "name") <- paste("Yager t-norm with lambda =", lambda)

    fun
}
rococo(x2, y2, tnorm=YagertNorm(0.5))
rococo.test(x2, y2, tnorm=YagertNorm(0.2))


###################################################
### chunk number 18: LargeNoShuffles
###################################################
#line 626 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
res <- rococo.test(x2, y2, numtests=100000, storeValues=TRUE)
res
hist(res@perm.gamma, breaks=100, probability=TRUE, xlab="gamma",
     main="Distribution of gamma for random shuffles")
plot(function(x) dnorm(x, mean=0, sd=res@H0gamma.sd), min(res@perm.gamma),
     max(res@perm.gamma), col="red", lwd=3, add=TRUE)


###################################################
### chunk number 19: ExactpValueExample
###################################################
#line 646 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
rococo.test(x2[1:8], y2[1:8], exact=TRUE)


###################################################
### chunk number 20: GetBibTeX eval=FALSE
###################################################
## #line 668 "d:/Rcompile/CRANpkg/local/2.12/rococo/inst/doc/rococo.Rnw"
## toBibtex(citation("rococo"))


